>From 500bdf421c34e9a2c4f92c871ce3eb7b776e5029 Mon Sep 17 00:00:00 2001
From: Andreas Pakulat <apaku@gmx.de>
Date: Mon, 21 Feb 2011 21:37:54 +0100
Subject: [PATCH 2/3] Fix this assert to not automatically trigger

Apparently sip.cast creates a new python object each time its invoked.
This changes the id of the object and hence the comparison fails here.
So lets use the original instance of the model we store in self._model
for comparison here. We can't leave away the sip.cast because some
model subclasses re-define visibility of public API of
QAbstractItemModel. (QStringListModel makes columnCount private).
---
 tests/modeltest/modeltest.py |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

diff --git a/tests/modeltest/modeltest.py b/tests/modeltest/modeltest.py
index 9fde497..fefe5b4 100644
--- a/tests/modeltest/modeltest.py
+++ b/tests/modeltest/modeltest.py
@@ -419,7 +419,9 @@ class ModelTest(QtCore.QObject):
                 assert( a == b )
 
                 # Some basic checking on the index that is returned
-                assert( index.model() == self.model )
+                # This raises an error that is not part of the qbzr code.
+                # see http://www.opensubscriber.com/message/pyqt@riverbankcomputing.com/10335500.html
+                assert( index.model() == self._model )
                 assert( index.row() == r )
                 assert( index.column() == c )
                 # While you can technically return a QtCore.QVariant usually this is a sign
-- 
1.7.2.3

